Subject: [rbridge] Time for a summary?

From: Eric.Gray at marconi.com (Gray, Eric)
Date: Fri, 20 Oct 2006 13:35:27 -0400

Silvano,

-- [SNIP] --
--> 
--> Let's also use some quantitative analysis. The TRILL Ethernet header
--> currently defined in:
-->
http://www.ietf.org/internet-drafts/draft-ietf-trill-rbridge-protocol-00.txt
--> is 18 bytes

We are _not_ defining an Ethernet header, and - whatever text it is that 
leads you to believe we are - that text should be modified or removed.

We are simply using a standard Ethernet header, with an Ethertype that
indicates that this header is followed by an Rbridge SHIM and another
Ethernet header.

-- [SNIP] --

---

From: caitlinb at broadcom.com (Caitlin Bestler)
Date: Fri, 20 Oct 2006 13:11:55 -0700

rbridge-bounces at postel.org wrote:
> http://www.ietf.org/internet-drafts/draft-ietf-trill-rbridge-p
> rotocol-00.txt --> is 18 bytes 
> 
> We are _not_ defining an Ethernet header, and - whatever text
> it is that leads you to believe we are - that text should be modified
> or removed. 
> 
> We are simply using a standard Ethernet header, with an
> Ethertype that indicates that this header is followed by an
> Rbridge SHIM and another Ethernet header.
> 

Ok, that aquatic feathered pet you have there is not a Duck,
but when we plan for its proper care and feeding can we admit
that it waddles and quacks?

As I see it, the RBridge L2 header is from a processing perspective
*very* similar to an 802.1au header. More so, they can stack
in either order.

So whether these headers are n*4 or 2+n*4 bytes long, shouldn't
their alignment rules match?